org.apache.ode.bpel.compiler.wsdl

## Class XMLSchemaType

- java.lang.Object
- - org.apache.ode.bpel.compiler.wsdl.XMLSchemaType

- All Implemented Interfaces:
    java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement

      public class XMLSchemaType
      extends java.lang.Object
      implements javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable

  Extensibility element that contains the xml-schema text as a string.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `qname` For compatibility with some older classes.
    `static javax.xml.namespace.QName` | `QNAME` WSDL QNAME identifier

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSchemaType(byte[] xmlSchema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getElementType()`
    `java.lang.Boolean` | `getRequired()`
    `byte[]` | `getXMLSchema()`
    `void` | `setElementType(javax.xml.namespace.QName arg0)`
    `void` | `setRequired(java.lang.Boolean arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QNAME

          public static final javax.xml.namespace.QName QNAME

      WSDL QNAME identifier

    - #### qname

          public static final javax.xml.namespace.QName qname

      For compatibility with some older classes.

  - ### Constructor Detail

    - #### XMLSchemaType

          public XMLSchemaType(byte[] xmlSchema)

  - ### Method Detail

    - #### setElementType

          public void setElementType(javax.xml.namespace.QName arg0)

      Specified by:
        `setElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`

    - #### getElementType

          public javax.xml.namespace.QName getElementType()

      Specified by:
        `getElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`

    - #### setRequired

          public void setRequired(java.lang.Boolean arg0)

      Specified by:
        `setRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`

    - #### getRequired

          public java.lang.Boolean getRequired()

      Specified by:
        `getRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`

    - #### getXMLSchema

          public byte[] getXMLSchema()